CVE-2015-5352

NameCVE-2015-5352
DescriptionThe x11_open_helper function in channels.c in ssh in OpenSSH before 6.9, when ForwardX11Trusted mode is not used, lacks a check of the refusal deadline for X connections, which makes it easier for remote attackers to bypass intended access restrictions via a connection outside of the permitted time window.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1500-1, DLA-288-1
NVD severitymedium
Debian Bugs790798

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openssh (PTS)jessie1:6.7p1-5+deb8u4vulnerable
jessie (security)1:6.7p1-5+deb8u8fixed
stretch1:7.4p1-10+deb9u7fixed
stretch (security)1:7.4p1-10+deb9u6fixed
buster, buster (security)1:7.9p1-10+deb10u1fixed
bullseye, sid1:8.1p1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensshsource(unstable)1:6.9p1-1790798
opensshsourcejessie1:6.7p1-5+deb8u6DLA-1500-1
opensshsourcesqueeze1:5.5p1-6+squeeze6DLA-288-1

Notes

[wheezy] - openssh <no-dsa> (Minor issue)
http://www.openwall.com/lists/oss-security/2015/07/01/7
https://anongit.mindrot.org/openssh.git/commit/?h=V_6_9&id=1bf477d3cdf1a864646d59820878783d42357a1d

Search for package or bug name: Reporting problems